#!/usr/bin/perl
die "ub2wav ubfile wavfile ".$! unless $#ARGV == 1;
open(IN, shift) || die "input file ".$!;
open(OUT, ">".shift) || die "output file ".$!;
$siz = (stat(IN))[7];
$wavhdr = pack ("A4VA4A4VvvVVvvA4V", 'RIFF',$siz+36,'WAVE','fmt ',
		16,1,2,20000,40000,2,8,'data',$siz);
print OUT $wavhdr;
print OUT while(<IN>);
close IN;
close OUT;
